{config, ...}: {

  users.users.calibre-server.extraGroups = [ "nextcloud" ];
  users.users.calibre-web.extraGroups = [ "nextcloud" ];

  services.calibre-server = {
    enable = true;

    host = "127.0.0.255";
    port = 1033;

    libraries = [
      "${config.services.nextcloud.datadir}/data/clicks-services/files/calibre"
    ];

  };

  services.calibre-web = {
    enable = true;
    listen = {
      ip = "127.0.0.255";
      port = 1032;
    };

    options = {
      enableBookUploading = true;
      enableBookConversion = true;

      calibreLibrary = "${config.services.nextcloud.datadir}/data/clicks-services/files/calibre";

      reverseProxyAuth = {
        enable = false;
        header = "keycloak_oidc";
      }; # TODO: setup keycloak auth with oauth2_proxy
    };
  };
}